#include "server/CommonServerFormats.h"
#include "datatable/TableFormat.h"


CommonServerFormats::CommonServerFormats()
{
}

TableFormatPtr CommonServerFormats::getFIFT_LOGIN()
{
    TableFormatPtr FIFT_LOGIN = TableFormatPtr(new TableFormat(1,1));
    FIFT_LOGIN->addField("<"+RootContextConstants::FIF_LOGIN_USERNAME+"><S>");
    FIFT_LOGIN->addField("<" + RootContextConstants::FIF_LOGIN_PASSWORD + "><S>");
    return FIFT_LOGIN;
}

TableFormatPtr CommonServerFormats::getFOFT_LOGIN()
{
    TableFormatPtr FOFT_LOGIN = TableFormatPtr(new TableFormat(1,1));
    FOFT_LOGIN->addField("<" + RootContextConstants::FIF_LOGIN_USERNAME + "><S>");
    return FOFT_LOGIN;
}

TableFormatPtr CommonServerFormats::getFIFT_GET_FORMAT()
{
    TableFormatPtr FIFT_GET_FORMAT = TableFormatPtr(new TableFormat(1,1, "<" + UtilitiesContextConstants::FIF_GET_FORMAT_ID + "><I>"));
    return FIFT_GET_FORMAT;
}

TableFormatPtr CommonServerFormats::getFOFT_GET_FORMAT()
{
    TableFormatPtr FOFT_GET_FORMAT = TableFormatPtr(new TableFormat(1,1, "<" + UtilitiesContextConstants::FOF_GET_FORMAT_DATA + "><S>"));
    return FOFT_GET_FORMAT;
}

